GNU bug report logs - #45257
27.1; ido-find-file incorrectly handles directory names beginning with tilde(~)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: <benthor@HIDDEN>; merged with #22844; dated Tue, 15 Dec 2020 16:58:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 22844 45257. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45257 <at> debbugs.gnu.org:


Received: (at 45257) by debbugs.gnu.org; 15 Dec 2020 18:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 15 13:26:38 2020
Received: from localhost ([127.0.0.1]:59100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpF1x-0002Xh-Uf
	for submit <at> debbugs.gnu.org; Tue, 15 Dec 2020 13:26:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kpF1v-0002XV-Pf
 for 45257 <at> debbugs.gnu.org; Tue, 15 Dec 2020 13:26:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56254)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kpF1o-0005O2-DN; Tue, 15 Dec 2020 13:26:29 -0500
Received: from [176.228.60.248] (port=1396 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kpF1m-0002Et-Th; Tue, 15 Dec 2020 13:26:28 -0500
Date: Tue, 15 Dec 2020 20:26:21 +0200
Message-Id: <83tusn9b8y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: <benthor@HIDDEN>
In-Reply-To: <878s9zujke.fsf@HIDDEN> (benthor@HIDDEN)
Subject: Re: bug#45257: 27.1;
 ido-find-file incorrectly handles directory names beginning with
 tilde(~)
References: <878s9zujke.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45257
Cc: 45257 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: <benthor@HIDDEN>
> Date: Tue, 15 Dec 2020 17:21:05 +0100
> 
> Steps to reproduce:
> mkdir -p /tmp/ido/~example/
> emacs -Q
> M-x ido-mode
> C-x C-f //tmp/ido/~example/test
> 
> Expected behavior:
> See "Find file: /tmp/ido/~example/test [No match]" in Minibuffer
> 
> Observed behavior:
> See "~/~example/test [No match]" in Minibuffer

You need to quote such special file names, using "/:".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45257; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2020 16:57:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 15 11:57:53 2020
Received: from localhost ([127.0.0.1]:58978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kpDe4-0004QH-7b
	for submit <at> debbugs.gnu.org; Tue, 15 Dec 2020 11:57:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:41870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <benthor@HIDDEN>) id 1kpD4m-0003RA-Pq
 for submit <at> debbugs.gnu.org; Tue, 15 Dec 2020 11:21:25 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38994)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <benthor@HIDDEN>) id 1kpD4m-0006fM-Kt
 for bug-gnu-emacs@HIDDEN; Tue, 15 Dec 2020 11:21:24 -0500
Received: from mout02.posteo.de ([185.67.36.66]:41849)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <benthor@HIDDEN>) id 1kpD4j-00035w-So
 for bug-gnu-emacs@HIDDEN; Tue, 15 Dec 2020 11:21:24 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E10C7240101
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Dec 2020 17:21:16 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1608049276; bh=nFChOJ7cVtFqkVLkBdHTzcitqMznUeNg9U/Rt+V2TvQ=;
 h=From:To:Subject:Date:From;
 b=EwSFdImDWVlQ40yNXP23myaV+lAPFeDNkArexYvKbzhB3+PO1+zOv//wfLyZ6MUi8
 q0mMN8oLSsRP6U3RK+eySlzreVxZ552agoVWvD9OGnFhF/DW9JJSxo/69ygyon5eXV
 a9RY7M01MM84TjNNkIIaJ9MlxWzaBaEDui/JcpJbrj+zRKgyIwUp+KaX+YvSt/JI68
 1y2n4lcP2mDKEzJdtKkpN009i2YSe6Fo0flXEC275SHEMQjl97DT+F0ilBmCQOxakL
 GPpdlJ6wb+l7VR+53WwpK6Vhbim2Osc7Naj9Zi21au3Wq6Ks8L/VkPLo/Fqoz0tsGM
 5HtUBUXizm3lQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4CwNmV1wWtz6tml
 for <bug-gnu-emacs@HIDDEN>; Tue, 15 Dec 2020 17:21:14 +0100 (CET)
User-agent: mu4e 1.5.5; emacs 27.1
From: <benthor@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; ido-find-file incorrectly handles directory names beginning
 with tilde(~)
Date: Tue, 15 Dec 2020 17:21:05 +0100
Message-ID: <878s9zujke.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
Received-SPF: pass client-ip=185.67.36.66; envelope-from=benthor@HIDDEN;
 helo=mout02.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 15 Dec 2020 11:57:51 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Steps to reproduce:
mkdir -p /tmp/ido/~example/
emacs -Q
M-x ido-mode
C-x C-f //tmp/ido/~example/test

Expected behavior:
See "Find file: /tmp/ido/~example/test [No match]" in Minibuffer

Observed behavior:
See "~/~example/test [No match]" in Minibuffer


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.22, cairo version 1.17.3)
 of 2020-08-28 built on juergen
Windowing system distributor 'The X.Org Foundation', version 
11.0.12010000
System Description: Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Ido mode enabled
Quit

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft 
 --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB 
NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD 
JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired 
dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived 
epg
epg-config gnus-util rmail rmail-loaddefs text-property-search 
time-date
subr-x mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils ido seq byte-opt gv 
bytecomp
byte-compile cconv tooltip eldoc electric uniquify ediff-hook 
vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd 
tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace 
newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar 
menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock 
font-lock
syntax facemenu font-core term/tty-colors frame minibuffer 
cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai 
tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak 
czech
european ethiopic indian cyrillic chinese composite charscript 
charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting 
font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process 
emacs)

Memory information:
((conses 16 60102 15242)
 (symbols 48 6307 1)
 (strings 32 25460 1851)
 (string-bytes 1 638168)
 (vectors 16 10771)
 (vector-slots 8 135937 13568)
 (floats 8 27 19)
 (intervals 56 191 0)
 (buffers 1000 12))




Acknowledgement sent to <benthor@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45257; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 16 Dec 2020 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.